<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class galeriaCategoria extends elemento{
		
	function galeriaCategoria() {
        
    }
    
	function guardarNovo(){
		if(!is_dir("../netimages"))
			mkdir ("../netimages/");
		return parent::guardarNovo();
	}
	
	function apagar($id){
		$db= new dbElemento;
		$num=$db->getTotal("galeria", $id);	
		if ($num) {	
			?><script>alert("Esta galeria possui fotos.")</script><?
			exit;
		}		
		parent::apagar($id);
	}
	
	function editar($id="") {
        $db= new dbElemento;
        $linha = @$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Galerias de fotos / ", 1);
		$f->campoTexto("Galeria","categoria" );
		$f->mostra();
    }

	function listar() {
        $campos=array("Nº"=>"id","Galeria"=>"categoria");
        
		$db= new dbElemento;
		 $dados=$db->getListaCategorias($this->tipo, $campos , "categoria", $this->req['ordem']);
        $this->req['total']=sizeof($dados);
		
		$f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao_l("Novo");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);  
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
				
		$f->titulo("Galerias / ");
		//$f->cabeca();
		$f->cabecaSimples("Ligações");
        //$f->tabela(false, false);
        $f->tabela(false, false, true, 2, true, 'galeria_rel_categoria', 'idGaleria', '', "Ligações");
		$f->mostra();
	}
}
?>
